#!/bin/sh
# Add mailing list tool (ADDUSR)
#	Copyright 1993,1994,1995,1996 (C) SAITOH-Ely-Yasuhiro.
#	All rights reserved.
#
VERSION=@VER@

DRIVER=@DRIVER@

if [ $# -ne 2 ]
then
	echo "Usage: addusr ML-name SavedFile" 1>&2
	exit 1
fi

ML=$1
FILE=$2

if [ ! -f $FILE ]
then
	echo "$2: No such file." 1>&2
	exit 1
fi

if [ ! -f $DRIVER/cmas ]
then
	echo "You must install cmas to use addusr command." 1>&2
	exit 1
fi

egrep "^From:[ 	]*.*@.*" $FILE 2>&1 >/dev/null
if [ $? -ne 0 ]
then
	echo "$0: cannot find 'From: feild' in $FILE." 1>&2
	exit 1
fi

c=
T="`echo 'test\c'`"
if [ "$T" = "test" ]
then
	c="\c"
fi
n=
T="`echo -n 'test'`"
if [ "$T" = "test" ]
then
	n="-n"
fi

echo $n "Adding new user ... $c"

cat $FILE | $DRIVER/cmas $ML MANUALADD 2>&1 > /dev/null

echo "Done."

exit 0
