#!/usr/bin/perl
# qmail USER alias creation script for CML-4.0
# Written by OKADA Tetsutaro <tetsuta@ec.kagawa-u.ac.jp>
# Feb. 23, 2000

chomp($tmpcmldir = `pwd`);

chdir;

$mlname = $ARGV[0];
$admin = $ARGV[1];
$answer = "";
$cmldir = "";

if ($mlname =~ /\@/) {
    print "You have to exclude '\@domain.name'\n";
    $mlname = "";
}

until ($answer =~ /[yY]/ || $answer =~ /[yY][eE][sS]/) {
    while ($mlname eq "") {
	print "Enter your ML name: ";
	chomp($mlname = <STDIN>);
	if ($mlname =~ /\@/) {
	    print "You have to exclude '\@domain.name'\n";
	    $mlname = "";
	}
    }
    while ($admin eq "") {
	$tmpadmin = $ENV{USER};
	print "Enter ML administrator's login name [${tmpadmin}]: ";
	chomp($admin = <STDIN>);
	if ($admin eq "") {
	    $admin = $tmpadmin;
	}
    }
    while ($cmldir eq "") {
	print "Enter cml directly [${tmpcmldir}]: ";
	chomp($cmldir = <STDIN>);
	if ($cmldir eq "") {
	    $cmldir = $tmpcmldir;
	}
#
	unless (-x "${cmldir}/cmld") {
	    print "$cmldir isn't correct CML directory.\n";
	    $cmldir = "";
	}
    }
    print "\nML name is '$mlname'.\n";
    print "ML admin is '$admin'.\n";
    print "CML directly is '$cmldir'.\n\n";
    print "Are they correct? [y/N]";
    chomp($answer = <STDIN>);
    unless ($answer =~ /[yY]/ || $answer =~ /[yY][eE][sS]/) {
	$mlname = "";
	$admin = "";
	$cmldir = "";
    }
}

print "\nInstalling alias files...\n\n";

open(MLADMIN, ">.qmail-\L${mlname}\E-request") || die "$!";
print MLADMIN "$admin\n";
print "Created ~/.qmail-\L${mlname}\E-request\n";
close(MLADMIN);

open(ML, ">.qmail-\L${mlname}\E") || die "$!";
print ML "|${cmldir}/cmld ${mlname}\n";
print "Created ~/.qmail-\L${mlname}\E\n";
close(ML);

open(MLCONTROL, ">.qmail-\L${mlname}\E-control") || die "$!";
print MLCONTROL "|${cmldir}/cmas ${mlname}\n";
print "Created ~/.qmail-\L${mlname}\E-control\n";
close(MLCONTROL);

if (-l ".qmail-\L${mlname}\E-dist") {
    unlink(".qmail-\L${mlname}\E-dist") || die "$!";
}
symlink("${cmldir}/${mlname}/${mlname}-list", ".qmail-\L${mlname}\E-dist") || die "$!";
print "Created ~/.qmail-\L${mlname}\E-dist\n";

if (-l ".qmail-\L${mlname}\E-digest-dist") {
    unlink(".qmail-\L${mlname}\E-digest-dist") || die "$!";
}
symlink("${cmldir}/${mlname}/${mlname}-digest", ".qmail-\L${mlname}\E-digest-dist") || die "$!";
print "Created ~/.qmail-\L${mlname}\E-digest-dist\n";

chmod(0644, ".qmail-\L${mlname}\E", ".qmail-\L${mlname}\E-control")  || die "$!" ;

print "\ndone.\n\n";
